Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://statsigapi.net/console/v1/events/{eventName} \ --header 'STATSIG-API-KEY: <api-key>'
{ "message": "Event values listed successfully.", "data": [ { "timestamp": "1720567904601", "name": "add_to_cart", "source": "statsig-node", "value": "appliances", "userID": "3411", "metadata": {} }, { "timestamp": "1720567904594", "name": "add_to_cart", "source": "statsig-node", "value": "sports", "userID": "1037", "metadata": {} }, { "timestamp": "1720567904307", "name": "add_to_cart", "source": "statsig-node", "value": "", "userID": "5056", "metadata": {} }, { "timestamp": "1720567904299", "name": "add_to_cart", "source": "statsig-node", "value": "books", "userID": "7326", "metadata": {} }, { "timestamp": "1720567904288", "name": "add_to_cart", "source": "statsig-node", "value": "books", "userID": "166", "metadata": {} }, { "timestamp": "1720567904310", "name": "add_to_cart", "source": "statsig-node", "value": "office products", "userID": "3255", "metadata": {} }, { "timestamp": "1720567904299", "name": "add_to_cart", "source": "statsig-node", "value": "sports", "userID": "8598", "metadata": {} } ], "pagination": { "itemsPerPage": 7, "pageNumber": 1, "totalItems": 100, "nextPage": "/console/v1/events/add_to_cart?page=2&limit=7", "previousPage": null, "all": "/console/v1/events/add_to_cart" } }
Optional header to respect review settings for mutation endpoints.
Results per page
10
Page number
1
Get specific events response
A simple string explaining the result of the operation.
Array of results returned by pagination limit.
Show child attributes
Pagination metadata for checking if there is next page for example.